> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /socialblade/youtube/channels/top

> Get the Social Blade YouTube leaderboard: top channels by subscribers, views, or videos.

**Price:** 1 credit



## OpenAPI

````yaml /openapi/social-media.json post /api/socialblade/youtube/channels/top
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/socialblade/youtube/channels/top:
    post:
      tags:
        - /socialblade/youtube
      summary: /socialblade/youtube/channels/top
      description: >-
        Get the Social Blade YouTube leaderboard: top channels by subscribers,
        views, or videos.


        **Price:** 1 credit
      operationId: __api_socialblade_youtube_channels_top_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SocialbladeYoutubeChannelsTopPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/YoutubeTopChannel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SocialbladeYoutubeChannelsTopPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        field:
          $ref: '#/components/schemas/YoutubeTopField'
          default: subscribers
        category:
          $ref: '#/components/schemas/YoutubeTopCategory'
          default: all
        country:
          $ref: '#/components/schemas/SocialbladeCountry'
          default: global
        count:
          type: integer
          maximum: 100
          minimum: 1
      type: object
      required:
        - count
    YoutubeTopChannel:
      properties:
        '@type':
          type: string
          default: YoutubeTopChannel
        rank:
          type: integer
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        banner:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        channel_type:
          anyOf:
            - type: string
            - type: 'null'
        is_made_for_kids:
          anyOf:
            - type: boolean
            - type: 'null'
        is_disabled:
          anyOf:
            - type: boolean
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        subscriber_count:
          anyOf:
            - type: integer
            - type: 'null'
        view_count:
          anyOf:
            - type: integer
            - type: 'null'
        video_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - rank
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    YoutubeTopField:
      type: string
      enum:
        - subscribers
        - views
        - videos
    YoutubeTopCategory:
      type: string
      enum:
        - all
        - games
        - entertainment
        - people
        - animals
        - film
        - music
        - sports
        - tech
        - howto
        - news
        - education
        - comedy
        - nonprofit
        - autos
        - travel
        - shows
    SocialbladeCountry:
      type: string
      enum:
        - global
        - US
        - CA
        - IN
        - KR
        - AR
        - GB
        - ID
        - AU
        - MX
        - PR
        - PH
        - BR
        - CL
        - SV
        - 'NO'
        - ES
        - BB
        - BY
        - RU
        - TH
        - CO
        - AE
        - NL
        - IE
        - PK
        - JO
        - KW
        - TR
        - SA
        - DE
        - UA
        - SE
        - FR
        - CN
        - IQ
        - MY
        - EG
        - JP
        - PE
        - VN
        - HK
        - MA
        - EC
        - FI
        - CH
        - IT
        - LV
        - AT
        - DZ
        - BE
        - QA
        - SG
        - PS
        - KI
        - BD
        - NG
        - RO
        - DO
        - NZ
        - VE
        - TN
        - PA
        - NP
        - AD
        - TZ
        - KZ
        - DK
        - LB
        - PL
        - HR
        - CY
        - SY
        - TW
        - BH
        - UY
        - IL
        - GH
        - GE
        - SN
        - PT
        - KH
        - SI
        - LK
        - JM
        - EE
        - SK
        - AZ
        - ZA
        - MD
        - GL
        - KE
        - GT
        - GG
        - OM
        - AF
        - AQ
        - RS
        - YE
        - MK
        - NI
        - AG
        - UG
        - MT
        - BO
        - LT
        - CZ
        - BA
        - GR
        - UZ
        - PY
        - BG
        - HU
        - AL
        - CX
        - CI
        - LA
        - CR
        - KG
        - TJ
        - ME
        - VG
        - HN
        - BM
        - IS
        - MC
        - MM
        - SO
        - LY
        - PG
        - AM
        - LU
        - ZW
        - AS
        - CD
        - ET
        - TG
        - IO
        - BV
        - KP
        - UM
        - BS
        - GP
        - VA
        - RW
        - SD
        - CG
        - AX
        - TF
        - CU
        - NU
        - ML
        - MR
        - TT
        - MU
        - VI
        - CM
        - GF
        - MV
        - AO
        - LI
        - AW
        - GA
        - NE
        - MN
        - RE
        - GI
        - BJ
        - NA
        - IR
        - MQ
        - GM
        - MO
        - AI
        - GY
        - KY
        - MG
        - BQ
        - ZM
        - HT
        - BL
        - FJ
        - BW
        - BZ
        - PF
        - YT
        - FO
        - SX
        - VC
        - JE
        - NC
        - TO
        - CW
        - CK
        - EH
        - PN
        - GN
        - TM
        - MZ
        - ER
        - GS
        - HM
        - SM
        - BF
        - IM
        - BN
        - GU
        - SR
        - TV
        - GD
        - FM
        - FK
        - MP
        - ST
        - DJ
        - CV
        - DM
        - TD
        - SJ
        - SL
        - WF
        - LR
        - PW
        - MS
        - BT
        - GQ
        - TL
        - WS
        - BI
        - KN
        - CC
        - MH
        - LC
        - SS
        - LS
        - SC
        - SH
        - CF
        - TC
        - KM
        - MF
        - NR
        - NF
        - VU
        - SZ
        - TK
        - PM
        - MW
        - SB
        - GW
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````